Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Operator
Class EliteReplacementOperator

    java.lang.Object
      Operator.OperatorModule
          Operator.JoinOperator
              Operator.EliteReplacementOperator

All Implemented Interfaces:
  Module, Operator, Stochastic

    public class EliteReplacementOperator

extends JoinOperator

EliteReplacementOperator has a EliteReplacementOperation. Use this module for Elite replacement

Author:
  Blip

Field Summary

Fields inherited from class Operator.JoinOperator
`incomingPopulation`

Fields inherited from class Operator.OperatorModule
`population, rng`

Constructor Summary
`EliteReplacementOperator(RandomNumberGenerator rng, Population incPop, EliteReplacementOperation rO)` Creates a new instance of EliteReplacementOperator

Method Summary
`Operation` | `getOperation()` Get operation that operator performs
`void` | `perform()` Remove worst individuals form the elite population.
`void` | `setOperation(Operation op)` Set operation that operator performs

Methods inherited from class Operator.JoinOperator
`getIncomingPopulation, increaseAge, setIncomingPopulation`

Methods inherited from class Operator.OperatorModule
`getRNG, setPopulation, setRNG`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EliteReplacementOperator

    public EliteReplacementOperator(RandomNumberGenerator rng,
                                    Population incPop,
                                    EliteReplacementOperation rO)

  Creates a new instance of EliteReplacementOperator

  Parameters:
    `rng` - random number generator
    `incPop` - incomming population
    `rO` - replacement operation

Method Detail

### perform

    public void perform()

  Remove worst individuals form the elite population. Add the elites to the original population. Remove the worst individuals from the origninal population.

  Specified by:
    `perform` in interface `Module`
  Specified by:
    `perform` in class `JoinOperator`

### setOperation

    public void setOperation(Operation op)

  Description copied from interface: `Operator`
  Set operation that operator performs

  Specified by:
    `setOperation` in interface `Operator`
  Specified by:
    `setOperation` in class `JoinOperator`
  Parameters:
    `op` - operation

### getOperation

    public Operation getOperation()

  Description copied from interface: `Operator`
  Get operation that operator performs

  Returns:
    operation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD